メインコンテンツまでスキップ

外部コレクションのリフレッシュ (V2)

This operation triggers an asynchronous data refresh job for an existing external collection, re-syncing the collection's data from its underlying external source. externalSource and externalSpec must be both provided or both omitted; when both are omitted, the collection's previously persisted source and spec are reused.

POST/v2/vectordb/jobs/external_collection/refresh
接続エンドポイント

https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

📘ノート
  • サービングクラスターを使用している場合は、クラスターエンドポイントを使用します。
    • Free & Serverless

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated

      https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API キー、またはコロンで連結されたユーザー名とパスワードのペア(例: username:password)である必要があります。プロジェクトエンドポイントを使用する場合は、十分な権限を持つ有効な API キーのみが適用されます。

値の例: Bearer {{TOKEN}}
リクエスト・ボディ
dbNamestring

データベースの名前。

collectionNamestring必要

更新するコレクションの名前。

externalSourcestring

外部データソースの JSON エンコード仕様。指定する場合は、externalSpecも指定する必要があります。省略した場合は、コレクションの保存済みソースが再利用されます。Zilliz Cloudボリューム内のオブジェクト URL が適用されます。
このパラメーターは Iceberg テーブルにのみ適用されます。

externalSpecstring

外部データがコレクションにどのようにマッピングされるかを示す JSON エンコード仕様。指定する場合は、externalSourceも指定する必要があります。省略した場合は、コレクションの保存済み仕様が再利用されます。
このパラメーターは Iceberg テーブルにのみ適用されます。

Refresh From A Zilliz Cloud Volumebash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/external_collection/refresh" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"collectionName": "ext_books"
}'
レスポンス

新しく作成された更新ジョブの ID を返します。

codeinteger

レスポンスコード。

値の例: 0
dataobject

新しい更新ジョブの識別子を含むレスポンスペイロード。

jobIdinteger<int64>

新しく作成された更新ジョブの ID。この値を使用して、describe エンドポイントで進行状況を照会します。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"jobId": 449503829274509300
}
}
Ctrl I